Table of Contents

Class: PyCoverageDialog | eric3/UI/PyCoverageDialog.py
--- | ---

Class implementing a dialog to display the collected code coverage data.

Base Classes |
--- | ---
PyCoverageForm

Methods |
--- | ---
__init__ buttonPressed deleteAnnotated finish handleAnnotate handleAnnotateAll handleContextMenu handleErase start
| __init__

    __init__ ( self,  parent=None )

### Constructor

#### Arguments

parent
  parent widget (QWidget)

| buttonPressed

    buttonPressed ( self )

Private slot connected to the button clicked signal.

| deleteAnnotated

    deleteAnnotated ( self )

### Private slot to handle the delete annotated context menu action.

This method deletes all annotated files. These are files ending with `,cover`.

| finish

    finish ( self )

Private slot called when the action finished or the user pressed the button.

| handleAnnotate

    handleAnnotate ( self )

### Private slot to handle the annotate context menu action.

This method produce an annotated coverage file of the selected file.

| handleAnnotateAll

    handleAnnotateAll ( self )

### Private slot to handle the annotate all context menu action.

This method produce an annotated coverage file of every file listed in the listview.

| handleContextMenu

    handleContextMenu (
            self,
            itm,
            pos,
            col,
            )

### Private slot to show the context menu of the listview.

#### Arguments

itm
  the item under the mouse cursor (QListViewItem)
pos
  global position of the context menu (QPoint)
col
  column of the mouse cursor (int)

| handleErase

    handleErase ( self )

### Private slot to handle the erase context menu action.

This method erases the collected coverage data that is stored in the .coverage file.

| start

    start (
            self,
            cfn,
            fn,
            )

### Public slot to start the coverage data evaluation.

#### Arguments

cfn
  basename of the coverage file (string)
fn
  file or list of files or directory to be checked (string or list of strings)

Table of Contents

This document was automatically generated by HappyDoc version 2.1